
// pages/Details/logs.js
Page({
  /**
   * 页面的初始数据
   */
  data: {
    uhide: 0,
    rotate: 0
  },
  onLoad: function (options) {
    var that = this;
    var data = {
      "datas": [
        {
          "id": 1,
          "apply_loan": '1. 如何申请贷款？',
          "accordion_item_content": '您可以根据需求在“极速贷款”版块选择贷款产品，我们建议您选择符合个人信息和需求的贷款产品，并根据此贷款产品的要求填写完资料并提交申请。'
        },
        {
          "id": 2,
          "apply_loan": '2.申请贷款后，审核需要多长时间？',
          "accordion_item_content": '一般需要1~3个工作日，最快1小时可以到账。用户的资料真实度、配合度也影响审核时长。请您按照消息提醒进行操作，保持电话畅通。'
        },
        {
          "id": 3,
          "apply_loan": '3. 如何提高贷款成功率？',
          "accordion_item_content": '① 您可以在“极速贷款”版块，选择符合个人信息和需求的贷款产品; ② 经小财神测算：申请多个产品，可大幅度提高贷款成功率，您可以尝试同时多申请几个贷款产品。'
        },
        {
          "id": 4,
          "apply_loan": ' 4. 申请贷款的利率和额度是多少？',
          "accordion_item_content": '平台推荐的众多贷款产品，利率和额度各有不同： ①一般参考月利率范围在1%~1.5%，建议在申请时查看详细介绍; ②额度一般都在500元至50万元，您可以根据自身的资金需求自主申请; 特别提醒您，信贷机构会根据您的个人资质给出最终的贷款额度和利率，请以放款前的确认信息为准。'
        },
        {
          "id": 5,
          "apply_loan": '  5. 为什么审批下来的金额和期限与申请信息不一致？',
          "accordion_item_content": '信贷机构会根据您的个人资料、征信记录，并参考您的申请信息，进行综合评估得出审批结果，因此可能与您的申请信息产生出入；最终放款额将以信贷机构给出的确认批复为准，如果未能完全满足您的资金需求，建议多申请几笔其他产品作为备用金。'
        },
        {
          "id": 6,
          "apply_loan": ' 6. 如何还款？',
          "accordion_item_content": '【我的】页面点击“我的申请”进入借款申请页面，选择贷款的产品，点击“我要还款”进入客服会话页面，可点击进入贷款产品详情页下载app进行还款，或打开应用商店直接下载/打开对应的app进行还款'
        }
      ]
    };
    //展示信息
    that.setData({
      carInfoData: data.datas,
    })
  },
  //点击切换隐藏和显示
  toggleBtn: function (event) {
    var that = this;
    // 内容点击展示
    var toggleBtnVal = that.data.uhide;
    var itemId = event.currentTarget.id;
    // 图片旋转
    var rotate = that.data.rotate;
    if (toggleBtnVal == itemId) {
      that.setData({
        rotate: 0,
        uhide: 0
      })
    } else {
      that.setData({
        rotate: itemId,
        uhide: itemId
      })
    }
  }

})